Package org.zkoss.web.portlet

## Class ServletPortletDispatcher

- java.lang.Object
- - org.zkoss.web.portlet.ServletPortletDispatcher

- All Implemented Interfaces:
    `javax.portlet.PortletRequestDispatcher`

      public class ServletPortletDispatcher
      extends java.lang.Object
      implements javax.portlet.PortletRequestDispatcher

  A facade of a RequestDispatch for implementing PortletRequestDispatcher.
  Author:
    tomyeh

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `forward​(javax.portlet.PortletRequest request, javax.portlet.PortletResponse response)` |
    `static javax.portlet.PortletRequestDispatcher` | `getInstance​(javax.servlet.RequestDispatcher rd)` | Returns a facade instance for the specified dispatcher.
    `void` | `include​(javax.portlet.PortletRequest request, javax.portlet.PortletResponse response)` |
    `void` | `include​(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static final javax.portlet.PortletRequestDispatcher getInstance​(javax.servlet.RequestDispatcher rd)

      Returns a facade instance for the specified dispatcher.

    - #### include

          public void include​(javax.portlet.RenderRequest request,
                              javax.portlet.RenderResponse response)
                       throws javax.portlet.PortletException,
                              java.io.IOException

      Specified by:
        `include` in interface `javax.portlet.PortletRequestDispatcher`
      Throws:
        `javax.portlet.PortletException`
        `java.io.IOException`

    - #### include

          public void include​(javax.portlet.PortletRequest request,
                              javax.portlet.PortletResponse response)
                       throws javax.portlet.PortletException,
                              java.io.IOException

      Specified by:
        `include` in interface `javax.portlet.PortletRequestDispatcher`
      Throws:
        `javax.portlet.PortletException`
        `java.io.IOException`

    - #### forward

          public void forward​(javax.portlet.PortletRequest request,
                              javax.portlet.PortletResponse response)
                       throws javax.portlet.PortletException,
                              java.io.IOException

      Specified by:
        `forward` in interface `javax.portlet.PortletRequestDispatcher`
      Throws:
        `javax.portlet.PortletException`
        `java.io.IOException`